## org.eclipse.emf.cdo.server.db
Enum IPreparedStatementCache.ReuseProbability

    java.lang.Object
      java.lang.Enum<IPreparedStatementCache.ReuseProbability>
          org.eclipse.emf.cdo.server.db.IPreparedStatementCache.ReuseProbability

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IPreparedStatementCache.ReuseProbability>

Enclosing interface:
  IPreparedStatementCache

    public static enum IPreparedStatementCache.ReuseProbability

extends java.lang.Enum<IPreparedStatementCache.ReuseProbability>

An enum for the degree of probability to which a prepared statement is reused later on. This is used for managing the cache of prepared statements so that statements which are more likely reused are kept in the cache longer. Rule of thumb:

- For global statements which are used regularly (such as lookup object in cdo_objects) use .
- For constant object-specific statements which are used regularly use .
- For object-specific statements which are assembled from constants which are used regularly use .
- For all other dynamic statements, like queries, use

Since:
  2.0

Enum Constant Summary
`HIGH`
`LOW`
`MAX`
`MEDIUM`

Method Summary
`static IPreparedStatementCache.ReuseProbability` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IPreparedStatementCache.ReuseProbability[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MAX

    public static final IPreparedStatementCache.ReuseProbability MAX

### HIGH

    public static final IPreparedStatementCache.ReuseProbability HIGH

### MEDIUM

    public static final IPreparedStatementCache.ReuseProbability MEDIUM

### LOW

    public static final IPreparedStatementCache.ReuseProbability LOW

Method Detail

### values

    public static final IPreparedStatementCache.ReuseProbability[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IPreparedStatementCache.ReuseProbability c : IPreparedStatementCache.ReuseProbability.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IPreparedStatementCache.ReuseProbability valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.